# Uses of Class
org.eclipse.osgi.container.Module

Packages that use Module
Package
Description
org.eclipse.osgi.container
org.eclipse.osgi.framework.util
org.eclipse.osgi.storage
org.eclipse.osgi.storage.bundlefile
org.eclipse.osgi.storage.url
org.eclipse.osgi.storage.url.bundleentry
org.eclipse.osgi.storage.url.bundleresource

## Uses of Module in org.eclipse.osgi.container

Subclasses of Module in org.eclipse.osgi.container
Modifier and Type
Class
Description
`class`
`SystemModule`
A special kind of module that represents the system module for the container.
Methods in org.eclipse.osgi.container that return Module
Modifier and Type
Method
Description
`abstract Module`
ModuleContainerAdaptor.`createModule(String location, long id, EnumSet<Module.Settings> settings, int startlevel)`
Creates a new module.
`Module`
ModuleContainer.`getModule(long id)`
Returns the module installed with the specified id, or null if no such module is installed.
`Module`
ModuleContainer.`getModule(String location)`
Returns the module installed with the specified location, or null if no such module is installed.
`Module`
ModuleRevisions.`getModule()`
`Module`
ModuleContainer.`install(Module origin, String location, ModuleRevisionBuilder builder, Object revisionInfo)`
Installs a new module using the specified location.
Methods in org.eclipse.osgi.container that return types with arguments of type Module
Modifier and Type
Method
Description
`Collection<Module>`
ModuleContainer.`getDependencyClosure(Collection<Module> initial)`
Returns the dependency closure of for the specified modules.
`List<Module>`
ModuleContainer.`getModules()`
Returns the list of currently installed modules sorted by module id.
Methods in org.eclipse.osgi.container with parameters of type Module
Modifier and Type
Method
Description
`ModuleRevisionBuilder`
ModuleContainerAdaptor.`adaptModuleRevisionBuilder(ModuleContainerAdaptor.ModuleEvent operation, Module origin, ModuleRevisionBuilder builder, Object revisionInfo)`
Allows a builder to be modified before it is used by the container.
`final int`
Module.`compareTo(Module o)`
`void`
ModuleCollisionHook.`filterCollisions(int operationType, Module target, Collection<Module> collisionCandidates)`
Filter bundle collisions hook method.
`Module`
ModuleContainer.`install(Module origin, String location, ModuleRevisionBuilder builder, Object revisionInfo)`
Installs a new module using the specified location.
`abstract void`
ModuleContainerAdaptor.`publishContainerEvent(ModuleContainerAdaptor.ContainerEvent type, Module module, Throwable error, FrameworkListener... listeners)`
Publishes the specified container event.
`abstract void`
ModuleContainerAdaptor.`publishModuleEvent(ModuleContainerAdaptor.ModuleEvent type, Module module, Module origin)`
Publishes the specified module event type for the specified module.
`void`
ModuleContainer.`uninstall(Module module)`
Uninstalls the specified module.
`void`
ModuleContainer.`update(Module module, ModuleRevisionBuilder builder, Object revisionInfo)`
Updates the specified module with a new revision.
Method parameters in org.eclipse.osgi.container with type arguments of type Module
Modifier and Type
Method
Description
`void`
ModuleCollisionHook.`filterCollisions(int operationType, Module target, Collection<Module> collisionCandidates)`
Filter bundle collisions hook method.
`Collection<Module>`
ModuleContainer.`getDependencyClosure(Collection<Module> initial)`
Returns the dependency closure of for the specified modules.
`ResolutionReport`
ModuleContainer.`refresh(Collection<Module> initial)`
Refreshes the specified collection of modules.
`ResolutionReport`
ModuleContainer.`resolve(Collection<Module> triggers, boolean triggersMandatory)`
Attempts to resolve the current revisions of the specified modules.

## Uses of Module in org.eclipse.osgi.framework.util

Methods in org.eclipse.osgi.framework.util with parameters of type Module
Modifier and Type
Method
Description
`void`
SecureAction.`start(Module module, Module.StartOptions... options)`
Starts a module.

## Uses of Module in org.eclipse.osgi.storage

Methods in org.eclipse.osgi.storage with parameters of type Module
Modifier and Type
Method
Description
`ModuleRevisionBuilder`
BundleInfo.Generation.`adaptModuleRevisionBuilder(ModuleContainerAdaptor.ModuleEvent operation, Module origin, ModuleRevisionBuilder builder)`
`void`
FrameworkExtensionInstaller.`addExtensionContent(Collection<ModuleRevision> revisions, Module systemModule)`
`URLConnection`
Storage.`getContentConnection(Module module, String bundleLocation, InputStream in)`
`BundleInfo.Generation`
Storage.`install(Module origin, String bundleLocation, InputStream toInstall)`
`BundleInfo.Generation`
Storage.`update(Module module, InputStream updateIn)`

## Uses of Module in org.eclipse.osgi.storage.bundlefile

Methods in org.eclipse.osgi.storage.bundlefile with parameters of type Module
Modifier and Type
Method
Description
`protected URL`
BundleFile.`createResourceURL(BundleEntry bundleEntry, Module hostModule, int index, String path)`
Creates a URL to access the content of the specified entry
`protected URL`
BundleFileWrapper.`createResourceURL(BundleEntry bundleEntry, Module hostModule, int index, String path)`
`URL`
BundleFile.`getResourceURL(String path, Module hostModule, int index)`
Returns a URL to access the contents of the entry specified by the path.

## Uses of Module in org.eclipse.osgi.storage.url

Methods in org.eclipse.osgi.storage.url with parameters of type Module
Modifier and Type
Method
Description
`protected boolean`
BundleResourceHandler.`checkAuthorization(Module module)`
`protected abstract BundleEntry`
BundleResourceHandler.`findBundleEntry(URL url, Module module)`
Finds the bundle entry for this protocal.

## Uses of Module in org.eclipse.osgi.storage.url.bundleentry

Methods in org.eclipse.osgi.storage.url.bundleentry with parameters of type Module
Modifier and Type
Method
Description
`protected BundleEntry`
Handler.`findBundleEntry(URL url, Module module)`

## Uses of Module in org.eclipse.osgi.storage.url.bundleresource

Methods in org.eclipse.osgi.storage.url.bundleresource with parameters of type Module
Modifier and Type
Method
Description
`protected BundleEntry`
Handler.`findBundleEntry(URL url, Module module)`